
@import url('https://fonts.googleapis.com/css2?family=Muli&family=VT323&display=swap:wght@400;700&display=swap');


*{
 box-sizing: border-box;
}
body {
  font-family: 'Muli', sans-serif;
}
 
 /* Homepage styling */

 .homepage {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100vh;
 }
 
 
 .logo {
   width: 300px;
 }
p {
  font-size: 20px;
  padding-top: 100px;
}

.text, h1 {
  font-size: 24px;
  color: rgb(154, 0, 202, 0.6); 
  padding: 10px;
  font-family: 'VT323', monospace;
}

.moviesButton {
    height: 30px;
    background: linear-gradient( rgb(154, 0, 202), rgb(39, 7, 229));
    border: none;
    border-radius: 50px;
    font-family: inherit;
    font-size: 1rem;
    padding: 0.4rem 1rem;
    color: white;
    text-decoration: none;
    font-family: 'VT323', monospace;
    font-size: 20px;
    letter-spacing: 2px;
}


/* NAV styling */

.nav-btn {
  border:none;
  background-color: transparent;
  cursor: pointer;
  font-size: 20px;
}

.open-btn {
  position: fixed;
  top: 10px;
  left: 10px;
} 

.nav {
  z-index: 1;
  position: fixed;
  top: 0;
  left: 0;
  height: 100vh;
  transform: translateX(-100%); 
  transition: transform 0.3s ease-in-out;
}
.nav .logo {
  width: 200px;
}
.nav.visible {
  transform: translateX(0);
}

.nav-blue {
  background-color: rgb(39, 7, 229);
  width: 60%;
  max-width: 480px;
  min-width: 320px;
  transition-delay: 0.4s;
}

.nav-blue.visible {
  transition-delay: 0s;
}
.nav-purple {
  background-color: rgb(154, 0, 202);
  width: 95%;
  transition-delay: 0.2s;
}

.nav-purple.visible {
  transition-delay: 0.2s;
}

.nav-white {
  background-color: white;
  width: 95%;
  padding: 40px;
  position: relative;
 transition-delay: 0s;
}

.nav-white.visible {
  transition-delay: 0.4s;
}

.close-btn {
  opacity: 0.3;
  position: absolute;
  top: 40px;
  right: 30px;
}

.list {
  list-style-type: none;
  padding: 20px 0 0 0;
}

.list li {
  margin: 20px 0;
}

.list li a {
  padding-left: 0.5rem;
  color:  rgb(154, 0, 202);
  font-family: 'VT323', monospace;
  font-size: 20px; 
  text-decoration: none;
  text-transform: uppercase;
}

.list ul {
  list-style-type: none;
  padding-left: 20px;
}


.search {
  height: 30px;
  background: linear-gradient( rgb(154, 0, 202), rgb(39, 7, 229));;
  border: none;
  border-radius: 50px;
  font-family: inherit;
  font-size: 1rem;
  padding: 0.5rem 1rem;
  color: white;
} 

.search::placeholder {
  color: white;
}

.search:focus {
  outline: none;
}

/*tidy this up with my own primary colours*/
:root {
  /* --primary-color: #22254b;
  --secondary-color: #373b69; */
}

/* Movies Pages styling */

main, h1 {
  margin-left: 30px;
  display: flex; 
  flex-wrap: wrap;
  justify-content: center;
  z-index: -1;
}

.moviesPage {
  margin: 50px;
}
 

 .movie {
  width: 300px;
  margin: 10px;
  background-color: rgb(154, 0, 202);
  box-shadow: 0 4px 5px  rgb(0, 0, 0, 0.2);
  position: relative;
  overflow: hidden;
  border-radius: 3px;
}

.movie img {
  width: 100%;
} 

.movie-info {
  
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.5rem 1rem 1rem;
  letter-spacing: 0.5px;
}

.movie-info h3 {
  margin-top: 0;
  
}

.movie-info span {
  background-color: white;
  padding: 0.25rem 0.5rem;
  border-radius: 3px;
  font-weight: bold;
}

.movie-info span.green {
  color: rgb(4, 153, 4);
}

.movie-info span.orange {
  color: rgb(207, 83, 0);
}

.movie-info span.red {
  color: rgb(238, 37, 47);
}


.overview {
  background-color: white;
  padding: 2rem;
  position: absolute;
  left: 0;
  bottom: 0;
  right: 0;
  max-height: 100%;
  color: black;
  transform: translateY(101%);
  transition: transform 0.3s ease-in;
}

.movie:hover .overview {
  transform: translateY(0);
    
}
 

 